package com.emato.eoss.manager.oss.minio;

import cn.hutool.core.codec.Base64;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.digest.DigestUtil;
import cn.hutool.crypto.digest.HmacAlgorithm;
import com.emato.eoss.util.sign.Md5;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.math.BigInteger;
import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @author Scott Chen
 * @date 2021-04-06
 */
public class MinioTest {
    private static final Logger logger = LoggerFactory.getLogger(MinioTest.class);

    private static String accessKeySecret = "my secret";



    public void setOssAuthorization() {

    }

    public void send() {
        String method = HttpMethod.PUT.toString();
        String contentMd5 = "";
        String contentType = "";
        String date = "";
        String canonicalizedOSSHeaders = "";
        String canonicalizedResource = "";

    }

    public String build() {
        return null;
    }

    public static void main(String[] args) {
        String str = "0123456789";
        String key = "abc-123";
        String str1 = "PUT\nODBGOERFMDMzQTczRUY3NUE3NzA5QzdFNUYzMDQxNEM=\ntext/html\nThu, 17 Nov 2005 18:49:58 GMT\nx-oss-magic:abracadabra\nx-oss-meta-author:foo@bar.com\n/oss-example/nelson";
        String key1 = "OtxrzxIsfpFjA7Sw******8Bw21TLhquhboDYROV";

        byte[] hCode = DigestUtil.md5(str);
        String hHexCode = DigestUtil.md5Hex(str);
        String base64HCode = Base64.encode(hCode);
        String base64HHexCode = Base64.encode(hHexCode);
        System.out.println("hCode:" + hCode);
        System.out.println("hHexCode:" + hHexCode);
        System.out.println("base64HCode:" + base64HCode);
        System.out.println("base64HHexCode:" + base64HHexCode);

        System.out.println("-------------------------------------");

        byte[] abc = SecureUtil.hmac(HmacAlgorithm.HmacSHA1, key1.getBytes(StandardCharsets.UTF_8))
                .digest(str1);
        String abcc = SecureUtil.hmac(HmacAlgorithm.HmacSHA1, key.getBytes(StandardCharsets.UTF_8))
                .digestHex(str);
        String base64Abc =Base64.encode(abc);
        String base64Abcc = Base64.encode(abcc);

        System.out.println("abc:" + abc);
        System.out.println("abcc:" + abcc);
        System.out.println("base64Abc:" + base64Abc);
        System.out.println("base64Abcc:" + base64Abcc);


    }

}
