package com.emato.eoss.manager.oss.minio.config;

import java.io.Serializable;
import java.util.Map;

/**
 * @author Scott Chen
 * @date 2021-03-05
 */
public class MinioProp implements Serializable {
    private static final long serialVersionUID = 6142961236114842876L;

    // true：scheme为https，false：scheme为http
    private boolean secure;
    private String endpoint;
    private int port;
    private String accesskeyId;
    private String secretAccessKey;
    // 当stoage下的存储桶 buckets
    //  跟具体业务相关名称，对应如下的 buckets值
    private Map<String, String> buckets;


    public boolean getSecure() {
        return secure;
    }

    public void setSecure(boolean secure) {
        this.secure = secure;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getAccesskeyId() {
        return accesskeyId;
    }

    public void setAccesskeyId(String accesskeyId) {
        this.accesskeyId = accesskeyId;
    }

    public String getSecretAccessKey() {
        return secretAccessKey;
    }

    public void setSecretAccessKey(String secretAccessKey) {
        this.secretAccessKey = secretAccessKey;
    }

    public Map<String, String> getBuckets() {
        return buckets;
    }

    public void setBuckets(Map<String, String> buckets) {
        this.buckets = buckets;
    }

}
